% **************************************************************************** %
% Author: Lambert Theisen
% => lambert.theisen@rwth-aachen.de
% => lambert.theisen@gmail.com
% Created: January 2019
% **************************************************************************** %



% **************************************************************************** %
% KOMA SCRIPT SETTINGS
% **************************************************************************** %

  % -------------------------------------------------------------------------- %
  % CHANGE SECTION NUMBERING
  % -------------------------------------------------------------------------- %
    % \renewcommand{\thesubsection}{\thesection.\Alph{subsection}}
  % -------------------------------------------------------------------------- %

  % -------------------------------------------------------------------------- %
  % SECTION COUNTING NUMBERING DEPTH
  % -------------------------------------------------------------------------- %
    \setcounter{secnumdepth}{3}
  % -------------------------------------------------------------------------- %

  % -------------------------------------------------------------------------- %
  % HEADLINE TITLE FONTS
  % -------------------------------------------------------------------------- %
    \addtokomafont{chapter}{
      \color{darkblue}
      %\normalfont\Large\bfseries\sffamily\color{darkblue}
    }
    \addtokomafont{section}{
      \color{lightblue}
    }
    \addtokomafont{subsection}{
      \color{lightblue}
    }
    \addtokomafont{subsubsection}{
      \color{lightblue}
    }
    \addtokomafont{paragraph}{
      %
    }
  % -------------------------------------------------------------------------- %

  % -------------------------------------------------------------------------- %
  % HEADER AND FOOTER
  % -------------------------------------------------------------------------- %
    \usepackage{scrlayer-scrpage}
    \pagestyle{scrheadings}
    \ohead{\pagemark}
    \ofoot{} % remove default pagenumber from foot
    % \ihead{\headmark}
    \automark[section]{chapter} % right left
    \renewcommand*{\chapterpagestyle}{empty} % remove pagenumber at chapter
  % -------------------------------------------------------------------------- %

  % -------------------------------------------------------------------------- %
  % KOMA SCRIPT FIXES
  % => Fixes e.g. listings package to use with KOMA
  % -------------------------------------------------------------------------- %
    \usepackage{scrhack}
  % -------------------------------------------------------------------------- %

  % -------------------------------------------------------------------------- %
  % SERIF-LESS HEADINGS
  % -------------------------------------------------------------------------- %
    % \setkomafont{disposition}{\normalfont\bfseries}
  % -------------------------------------------------------------------------- %

  % -------------------------------------------------------------------------- %
  % INCREASE NUMBER BOX IN TOC
  % -> to avoid overfull hbox for 3-digit bold numbers
  % -------------------------------------------------------------------------- %
    \makeatletter% --> De-TeX-FAQ
    \renewcommand*{\@pnumwidth}{1.7em}
    \makeatother% --> \makeatletter
  % -------------------------------------------------------------------------- %

  % -------------------------------------------------------------------------- %
  % INCREASE NUMBER WIDTH IN TOC
  % -------------------------------------------------------------------------- %
    \DeclareTOCStyleEntry[numwidth=3em]{tocline}{table}
  % -------------------------------------------------------------------------- %

% **************************************************************************** %